Skip to main content
GET
/
v2
/
transactions
List Transactions
curl --request GET \
  --url https://api.pagou.ai/v2/transactions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "requestId": "<string>",
  "metadata": {
    "page": 1,
    "limit": 10,
    "total": 0
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "buyer": {
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "payment": {
        "method": "pix",
        "currency": "BRL",
        "country": "<string>",
        "amount": 0,
        "base_price": 0,
        "external_ref": "<string>",
        "installments": 6,
        "fee": {
          "estimated_fee": 0,
          "net_amount": 0
        },
        "pix": {
          "qrcode": "<string>",
          "endToEnd": "<string>"
        }
      },
      "status": "authorized",
      "products": [
        {
          "title": "<string>",
          "quantity": 0,
          "unit_price": 0
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "paid_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number
default:1
Required range: x >= 1
limit
number
default:10
Required range: 1 <= x <= 100
id
string | null
paymentMethods
enum<string> | null
default:pix
Available options:
pix,
credit_card
status
deliveryStatus
enum<string> | null
Available options:
waiting,
in_transit,
delivered
installments
number | null
name
string | null
email
string | null
documentNumber
string | null
phone
string | null
traceable
boolean | null

Response

Success

success
boolean
required
requestId
string
required
metadata
object
required
data
object[]
required